﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Personagem : MonoBehaviour {
	float Vx; 	
	float Vy;	
	float VelocidadeHorizontal;
	float VelocidadeVertical;
	float VelocidadePular;
	float DirecaoHorizontal; 
	float DirecaoVertical; 
	Rigidbody2D CorpoRigido; 
	SpriteRenderer PersonagemSpriteRender;
	int ContadorPulos;

	//"void Start ()" Executado na inicialização do jogo utilizado para iniciar variáveis e parametros 
	void Start () {
		Vx = 0;	Vy = 0;	DirecaoVertical = 0;	
		DirecaoHorizontal = 0;
		VelocidadeHorizontal = 5;	
		VelocidadeVertical = 5;	
		VelocidadePular	= 5;		
		ContadorPulos = 0; 
		CorpoRigido = GetComponent<Rigidbody2D> ();		
	

		PersonagemSpriteRender = GetComponent<SpriteRenderer> ();
		//recupera o PolygonCollider2D das areas de ataque

		CorpoRigido.freezeRotation = true;	
		CorpoRigido.gravityScale = 1;					
	}
		
	void Update () {
		MovimentoHorizontal();
		PuloDuplo ();

	}


	void PuloDuplo(){
		//verdadeiro(true) se o botão de Jump foi pressionado caso contrário igual a false
		bool apertou = Input.GetButtonDown ("Jump");
		// esse bloco só é executado se for apertado o botão de Jump
		// e se o personagem ContadorPulos < 2
		if (apertou == true && ContadorPulos < 2 ) {
			if (ContadorPulos == 1) {
				Vy = VelocidadePular / 2;
			} else {
				Vy = VelocidadePular;
			}

			//AnimatorPersonagem.SetBool ("estaAnando", false);
			ContadorPulos = ContadorPulos+1;
			Vx = CorpoRigido.velocity.x;

			Vector2 pulo = new Vector2 (Vx, Vy);
			CorpoRigido.velocity=(pulo);
		}
	}

	void MovimentoHorizontal(){
		DirecaoHorizontal = Input.GetAxis ("Horizontal");
		if (DirecaoHorizontal > 0) {
			PersonagemSpriteRender.flipX = false;

		} 
		if (DirecaoHorizontal < 0) {
			PersonagemSpriteRender.flipX = true;

		}
	
		Vx = VelocidadeHorizontal * DirecaoHorizontal;
		Vy = CorpoRigido.velocity.y;
		Vector2 andar = new Vector2 (Vx, Vy);
		CorpoRigido.velocity = andar;
	}



	void OnCollisionEnter2D(Collision2D objetoTocado){
		ContadorPulos = 0;
		string tagTocada = objetoTocado.gameObject.tag; 
		if (tagTocada == "plataforma") {
			print ("platafomra");
			transform.SetParent(objetoTocado.gameObject.transform);
		}
	}

	void OnCollisionExit2D(Collision2D objetoTocado){
		ContadorPulos = 0;
		string tagTocada = objetoTocado.gameObject.tag; 
		if (tagTocada == "plataforma") {
			print ("platafomra");
			transform.SetParent(null);
		}
	}

}