﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Plataforma : MonoBehaviour {

	public float distancia = 2.5f;
	public float velocidade=5;
	float xMaximo;
	float xMinimo;
	float direcao;
	Transform transformPlataforma;
	// Use this for initialization
	void Start () {
		transformPlataforma = gameObject.GetComponent<Transform> ();
		xMaximo = transformPlataforma.position.x + distancia;
		xMinimo = transformPlataforma.position.x - distancia;
		direcao = 1;
	}
	
	// Update is called once per frame
	void Update () {
		movimentoHorizontal ();
	}
	void movimentoHorizontal(){
		float xAtual = transformPlataforma.position.x;
		float yAtual = transformPlataforma.position.y;
	
		xAtual = xAtual + (velocidade * Time.deltaTime)* direcao;
	
		if (xAtual > xMaximo) {
			direcao = -1;
		}
		if (xAtual < xMinimo) {
			direcao = 1;
		}
		transform.position = new Vector2 (xAtual, yAtual);
	}
}
